﻿//
// Лабораторная работа №15. Текстовые файлы. Обработка строк
// lab15.h
//

typedef unsigned int uint;

// Функция вывода данных файла 
// с указанием длины строки в конце каждой строки.
// Входные данные:
//     filename - имя файла входных данных.
// Выбрасывает исключение char*, если файл не может быть открыт
void print_len(const char *filename);

// Подсчёт количества вхождений каждой буквы латинского алфавита в файле
// Параметры:
//     filename – имя файла входных данных.
//     size – размер массива результатов.
// Возвращаемое значение:
//     массив, в котором каждое значение соответствует 
// количеству вхождений буквы с соответствующим порядковым номером.
// Выбрасывает исключение char*, если файл не может быть открыт
uint* alpha_count(const char *filename, uint &size);

// Подсчёт количества слов в файле
// Входные данные:
//     filename – имя файла входных данных.
// Возращаемое значение:
//     количество слов в файле.
// Выбрасывает исключение char*, если файл не может быть открыт
uint word_count(const char* filename);

// Удаление указанного слова из файла
// Входные данные:
//     filename – имя файла входных данных;
//     word – слово для удаления.
// Выбрасывает исключение char*, если файл не может быть открыт
void remove_word(const char* filename, const char *word);
